Subject: Re: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Oct 2017 11:57:04 +0300

> Cc: [email-masked], [email-masked],
>  [email-masked]
> From: Romanos Skiadas <[email-masked]>
> Date: Thu, 5 Oct 2017 23:17:30 +0100
> 
> - In a buffer, the line numbers looked like attached screenshot (1)
> - in a buffer, I pressed any combination of keys that would cause 
> which-key to pop up
> - I pressed C-g to close which-key. At this point, the line numbers 
> would look like screenshot (2). They don't go away per se, it looks like 
> something goes wrong in some calculation maybe?
> - Pressing C-g restored the line numbers to state (1)

This is not "line numbers disappearing", this is something else.  Can
you show a larger portion of the window, including the text to the
right of the numbers in the 2nd case?

> After playing with the buffer for a while, I found out that this 
> behaviour goes away with git-gutter-mode disabled. I'll find some time 
> to try to get something reproducible with stock Emacs within the next 
> couple of days.

Thanks.  I tried loading git-gutter, but saw no problems with line
numbers.  So I guess it isn't just that package, but some interaction
between it and other packages.

> @Eli, I still have the buffer around and can try out things. Do you have 
> any debugging hints for this?

I might have ideas once I see a larger view of the problematic
display.  E.e., where there any display margins to the left of the
numbers?